> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create prompt template

> 
Create a new prompt template without any versions. Use when you need to reserve a template name before adding versions.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/prompt-templates
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-templates:
    post:
      tags:
        - Prompt Templates
      summary: Create prompt template
      description: >-

        Create a new prompt template without any versions. Use when you need to
        reserve a template name before adding versions.
      operationId: post_create_prompt_template
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                id:
                  default: null
                  title: Id
                  format: uuid
                  type:
                    - string
                    - 'null'
              required:
                - name
              title: CreatePromptTemplateRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                required:
                  - id
                title: CreatePromptTemplateResponse
                type: object
          description: 'CreatePromptTemplateResponse(id: uuid.UUID)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````